<template>
<v-container fluid grid-list-md pa-0>
  <v-container v-if="month === 8">
    <v-alert type="warning">
      Сейчас август, возможно Вы видите старую цену. Актуальная цена будет
      в конце месяца (когда я начинаю записывать).
    </v-alert>
  </v-container>

  <v-list>
    <v-list-item
      v-for="(h, i) in [1, 1.5, 2]"
      :key="'price'+i"
      selectable
      >
      <v-list-item-icon>
        <v-icon>{{mdiCircle}}</v-icon>
        <span v-if="h === 1"><v-icon color="white">{{mdiCircleOutline}}</v-icon></span>
        <span v-if="h === 1.5"><v-icon>{{mdiCircleHalfFull}}</v-icon></span>
        <span v-if="h === 2"><v-icon>{{mdiCircle}}</v-icon></span>
      </v-list-item-icon>
      <v-list-item-content>
        <v-list-item-title>{{h*60}} мин - {{ prices[h] }}р</v-list-item-title>
        <v-list-item-subtitle>
          <span v-if="h === 2" class="green--text">
            Получается {{ prices[h]/h }}р/час
          </span>
        </v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>
  </v-list>

</v-container>
</template>


<script>
import { mapState } from 'vuex';
import {
  mdiTimelapse,
  mdiInformation,
  mdiCircleOutline,
  mdiCircle,
  mdiCircleSlice4,
  mdiCircleHalf,
  mdiCircleHalfFull,
  mdiCircleSlice8,
} from '@mdi/js';

export default {
  computed: {
    prices() {
      return this.repetitor.prices;
    },
    ...mapState([
      'repetitor',
    ]),
  },
  data: () => ({
    // icons
    mdiCircle,
    mdiTimelapse,
    mdiInformation,
    mdiCircleOutline,
    mdiCircleHalf,
    mdiCircleSlice8,
    mdiCircleSlice4,
    mdiCircleHalfFull,

    month: (new Date()).getMonth() + 1,
  }),
};
</script>
